(* caLayer.ml     Wrapper for Cocoa Touch CALayer
 *
 * Copyright (c) 2011 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)
open Cocoa

external _isOpaque : nativeint -> bool =
    "CALayer_isOpaque"
external _setOpaque_ : nativeint -> bool -> unit =
    "CALayer_setOpaque_"

class t robjcv =
    object (self)
    inherit Wrapper.t robjcv

    method isOpaque = _isOpaque self#contents
    method setOpaque' b = _setOpaque_ self#contents b
    end

let () = Callback.register "CALayer.wrap" (new t)
