(* eAGLContext.mli     Wrapper for Cocoa Touch EAGLContext
 *
 * Copyright (c) 2011 Psellos   http://psellos.com
 * Licensed under the MIT license:
 *     http://www.opensource.org/licenses/mit-license.php
 *)
type renderingAPI =
    | RenderingAPIOpenGLES1
    | RenderingAPIOpenGLES2

class type t =
object
    inherit Wrapper.t

    method initWithAPI' : renderingAPI -> t
    method renderbufferStorage'fromDrawable' :
        GlFramebuffer.enumeration -> CaLayer.t -> bool
    method presentRenderbuffer' : GlFramebuffer.enumeration -> bool
end

val alloc : unit -> t

val setCurrentContext' : t -> bool
